import { createApp } from 'vue'
import { createPinia } from 'pinia'

import App from '@/App.vue'
import router from '@/router'
import http from '@/plugins/http'

import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import '@/styles/main.less'
import '@/styles/font.less'

import PageTitle from '@/components/PageTitle.vue'

const app = createApp(App)

app.use(createPinia())
app.use(router)
app.use(ElementPlus)
app.component('page-title', PageTitle)
app.use(http)

app.mount('#app')
